/*
    Auteur: Danilo Anzile
    Date: 07.06.2021
    Version: 1
    Page: gallery.php
*/


/* Image de présenation */

.divPresenatation {
    text-align: center;
}

img#imgPresentation {
    width: 60%;
    border-radius: 20px;
}


/* Style séparateur */

.corps hr {
    margin-top: 2.5%;
    margin-right: 25%;
    margin-left: 25%;
}

.photoaleatoire {
    display: inline-flex;
    margin-left: 12.5%;
    margin-top: 2%;
    margin-bottom: 2%;
}

.photoaleatoire img {
    width: 15%;
    height: auto;
    margin-left: 10%;
    -webkit-filter: grayscale(100%);
    filter: grayscale(100%);
    -webkit-transition: .3s ease-in-out;
    transition: .3s ease-in-out;
}

.photoaleatoire img:hover {
    -webkit-filter: grayscale(0);
    filter: grayscale(0);
    transition: .3s ease-in-out;
}


/*
  Effet sur la bordure des images de la gallery
*/

img.borderEffect {
    -webkit-box-shadow: 0 0 5px 2px #fff;
    -moz-box-shadow: 0 0 5px 2px #fff;
    box-shadow: 0 0 5px 2px #fff;
    border-radius: 5%;
}


/* Responsive */

@media only screen and (max-width: 1040px) {
    .corps hr {
        margin-top: 5%;
    }
    .photoaleatoire {
        display: inline-flex;
        margin-left: 2.5%;
        margin-top: 5%;
    }
    .photoaleatoire img {
        width: 20%;
        height: auto;
        margin-left: 10%;
        -webkit-filter: grayscale(100%);
        filter: grayscale(100%);
        -webkit-transition: .3s ease-in-out;
        transition: .3s ease-in-out;
    }
}